Bug 117927 - cmi_8330 audio not detected
cmi_8330 audio not detected
Product: Fedora
Classification: Fedora
Component: kudzu (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
: 117926 119960 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2004-03-10 00:54 EST by G.Wolfe Woodbury
Modified: 2014-03-16 22:43 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-12-08 10:51:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
kudzu -p -b isapnp for FC3T1 (612 bytes, text/plain)
2004-07-15 00:15 EDT, G.Wolfe Woodbury
no flags Details

  None (edit)
Description G.Wolfe Woodbury 2004-03-10 00:54:36 EST
Description of problem:

Kudzu fails to detect/configure CMI_8330 sound system

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Install development tree
2. reboot with CMI_8330 enabled
Actual results:
nothing is detected/configured

Expected results:
Kudzu should detect/configure using snd_cmi8330 module

Additional info:
Asus P5A-B motherboard sound system, AMD K6-2 CPU @ 333MHz
Comment 1 Bill Nottingham 2004-03-10 00:57:04 EST
The kernel is no longer exporting ISAPnP maps.
Comment 2 Bill Nottingham 2004-03-10 11:37:58 EST
*** Bug 117926 has been marked as a duplicate of this bug. ***
Comment 3 G.Wolfe Woodbury 2004-04-04 01:50:08 EST
install from "development" 4/3/04 still has problems with CMI 8330.
Kernel detects card and "fixes" DMA and interrupts, but kudzu doesn't
find the card to configure it.  (I did cheat during the install and
force a modprobe for the 3Com 509 Etherlink III card, and anaconda
configured it then. [117926])

Will file bug against kudzu now.
Comment 4 Bill Nottingham 2004-04-05 15:15:37 EDT
*** Bug 119960 has been marked as a duplicate of this bug. ***
Comment 5 G.Wolfe Woodbury 2004-04-19 02:10:33 EDT
As of rawhide 4/17/04 this bug is still occurring.
Kernel doesn't see the card, kudzu doesn't see the card, and soundcard
detection doesn't see the card.

I modprobed the snd-cmi8330.ko and then ran soundcard detection and it
still doesn't see the card properly.
Comment 6 G.Wolfe Woodbury 2004-04-29 04:42:07 EDT
FC2test3 still cannot find/configure the CMI-8330 controller.
Comment 7 G.Wolfe Woodbury 2004-05-10 00:34:59 EDT
Fresh install from development(rawhide) of 2004.05.09 still cannot
detect or setup snd-cmi8330 ISA based soundcard.
Comment 8 Alex Kanavin 2004-05-20 16:58:40 EDT
Have the same problem with Sound Blaster Vibra16X PnP on FC2. 
Bill, what does "The kernel is no longer exporting ISAPnP maps" mean? 

As far as I see, the kernel detects and configures the card just fine
(dmesg output), but kudzu does not see it. So I had to add

alias sound-slot-0 snd-sb16

to /etc/modproble.conf by hand. Could it be that module name change
broke something? 
Comment 9 Bill Nottingham 2004-05-21 13:13:40 EDT
Do you have a /proc/isapnp? ISTR that that moved in 2.6. (Sorry, my
isapnp test box isn't available ATM.)
Comment 10 Alex Kanavin 2004-05-21 13:28:53 EDT
No /proc/isapnp here, but I have a /proc/bus/isapnp/ directory. I'm
not sure if that's the same thing.
Comment 11 G.Wolfe Woodbury 2004-05-30 13:54:58 EDT
bug still present in kernel 2.6.6-1.397 and current kudzu and
system-config-soundcard.  Device is not detected and configured.
Comment 12 G.Wolfe Woodbury 2004-07-14 12:57:10 EDT
As of FC3t1 the system still doesn't properly detect and configure
this ISA device.  Does anyone really care about this?
Comment 13 Bill Nottingham 2004-07-14 14:58:56 EDT
What does kudzu -p -b isapnp say?
Comment 14 Alex Kanavin 2004-07-14 15:05:12 EDT
On my FC2 it says exactly nothing.
Comment 15 Bill Nottingham 2004-07-14 15:10:03 EDT
On FC2 it won't; I was curious about the results on FC3t1.
Comment 16 Bill Nottingham 2004-07-14 15:10:46 EDT
Actually, more specifically, the results with kudzu-1.1.71-1.
Comment 17 Alex Kanavin 2004-07-14 15:40:01 EDT
Updated to kudzu-1.1.72-1

class: UNSPEC
detached: 0
driver: ns558
desc: "CTL00f0 - CTL7005"
deviceId: CTL7005
pdeviceId: CTL00f0
compat: PNPb02f
class: AUDIO
detached: 0
driver: snd-sb16
desc: "CTL00f0 - CTL0043"
deviceId: CTL0043
pdeviceId: CTL00f0

Also, if I remove /etc/modprobe.conf and /etc/sysconfig/hwdata the
card is detected and installed fine now, except for the
non-descriptive description (above). Oh, and I get the following

Traceback (most recent call last):
  File "/usr/share/system-config-display/xconf.py", line 412, in ?
NameError: name 'hardware_state' is not defined
Comment 18 Bill Nottingham 2004-07-14 15:42:56 EDT
Hm, that bug is a system-config-display bug, should be unrelated.

The non-descriptive description is because the ISAPnP stuff the kernel
exports via sysfs has basically *no* user-useful strings attached to
it, and we don't have a built up table of what everything is.
Comment 19 Alex Kanavin 2004-07-14 16:02:30 EDT
But there is something user-useful!

[root@cs181035096 /]# cat /sys/devices/pnp0/00:01/name
Creative ViBRA16X PnP
Comment 20 G.Wolfe Woodbury 2004-07-15 00:14:28 EDT
I'm attaching the output of kudzu -p -b isapnp in the next comment. 
There are several possible recognizable patterns, and kudzu does tag
the audio driver right, but there is no proper setup of the device.
Comment 21 G.Wolfe Woodbury 2004-07-15 00:15:44 EDT
Created attachment 101930 [details]
kudzu -p -b isapnp for FC3T1
Comment 22 Bill Nottingham 2004-07-20 12:27:05 EDT
Is that entry already in /etc/sysconfig/hwconf?

If so, does it configure it if you remove it?
Comment 23 G.Wolfe Woodbury 2004-07-21 16:58:38 EDT
Will test, however, the 3c509 still isn't detected as an network card
during installation or firstboot.
Comment 24 Bill Nottingham 2004-07-21 17:19:36 EDT
ISAPnP network cards have never been supported for install, AFAIK.
Comment 25 G.Wolfe Woodbury 2004-07-21 17:24:12 EDT
Kudzu detects and re-configs the cmi8330 on re-boot.

re: the 3c509, install used to detect the card and list it during the
network setup (FC1 still does).  Now it sees it only if I modprobe the
driver before the network screen comes up.  This should be a separate
bug, no?
Comment 26 Bill Nottingham 2004-07-21 17:26:20 EDT
Comment 27 G.Wolfe Woodbury 2004-09-28 11:38:27 EDT
Rawhide of 2004-09-27 properly handles the CMI-8330 card.
Comment 28 Bill Nottingham 2004-09-28 12:27:04 EDT
Leaving open, I'd like to get the naming cleaned up as stated earlier
in the bug.
Comment 29 Bill Nottingham 2004-12-08 10:51:25 EST
The naming for ISAPnP should be better in FC3.

Note You need to log in before you can comment on or make changes to this bug.